WKS4SpreadsheetInternal::State Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Attributes | List of all members
WKS4SpreadsheetInternal::State Struct Reference

the state of WKS4Spreadsheet More...

## Public Member Functions
| State ()
| constructor More...
int | getNumSheet () const
| returns the number of spreadsheet More...
Spreadsheet & | getSheet (int id)
| returns the ith spreadsheet More...
Spreadsheet & | getActualSheet ()
| returns the actual sheet More...
void | pushNewSheet ()
| create a new sheet and stack id More...
bool | popSheet ()
| try to pop the actual sheet More...

## Public Attributes
long | m_eof
| the last file position More...
int | m_version
| the file version More...
int | m_hasLICSCharacters
| int to code if the file has LICS characters:-1 means unknown, 0 means no, 1 means yes More...
StyleManager | m_styleManager
| the style manager More...

## Protected Attributes
std::vector< Spreadsheet > | m_spreadsheetList
| the list of spreadsheet ( first: main spreadsheet, other report spreadsheet ) More...
std::stack< size_t > | m_spreadsheetStack
| the stack of spreadsheet id More...

## Detailed Description

the state of WKS4Spreadsheet

## Constructor & Destructor Documentation

WKS4SpreadsheetInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

Spreadsheet& WKS4SpreadsheetInternal::State::getActualSheet | ( |  | ) |
| inline

returns the actual sheet

int WKS4SpreadsheetInternal::State::getNumSheet | ( |  | ) | const
| inline

returns the number of spreadsheet

Spreadsheet& WKS4SpreadsheetInternal::State::getSheet | ( | int | id | ) |
| inline

returns the ith spreadsheet

bool WKS4SpreadsheetInternal::State::popSheet | ( |  | ) |
| inline

try to pop the actual sheet

void WKS4SpreadsheetInternal::State::pushNewSheet | ( |  | ) |
| inline

create a new sheet and stack id

Referenced by State().

## Member Data Documentation

long WKS4SpreadsheetInternal::State::m_eof

the last file position

int WKS4SpreadsheetInternal::State::m_hasLICSCharacters

int to code if the file has LICS characters:-1 means unknown, 0 means no, 1 means yes

std::vector<Spreadsheet> WKS4SpreadsheetInternal::State::m_spreadsheetList
| protected

the list of spreadsheet ( first: main spreadsheet, other report spreadsheet )

Referenced by getActualSheet(), getNumSheet(), getSheet(), and pushNewSheet().

std::stack<size_t> WKS4SpreadsheetInternal::State::m_spreadsheetStack
| protected

the stack of spreadsheet id

Referenced by getActualSheet(), popSheet(), and pushNewSheet().

StyleManager WKS4SpreadsheetInternal::State::m_styleManager

the style manager

int WKS4SpreadsheetInternal::State::m_version

the file version

The documentation for this struct was generated from the following file:

- WKS4Spreadsheet.cpp